Bug 844176 - Host is installed with boot protocol "None" on rhevm Network when its management NIC was configured as static
Host is installed with boot protocol "None" on rhevm Network when its managem...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Moti Asayag
Depends On:
  Show dependency treegraph
Reported: 2012-07-29 11:07 EDT by GenadiC
Modified: 2016-02-10 14:57 EST (History)
7 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:04:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Problem shown in GUI (234.43 KB, image/png)
2012-07-29 11:07 EDT, GenadiC
no flags Details
vdsm log (3.24 MB, application/octet-stream)
2012-07-29 11:08 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-07-29 11:07:54 EDT
Created attachment 601043 [details]
Problem shown in GUI

Description of problem:
If you configure management NIC as static on host and then add that host to the system, it will be added with boot protocol None

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure eth0(management IP) of host to have static IP address
2. Add that host to the DC and Cluster
3. When the host become operation check its boot protocol
Actual results:
Boot protocol is None

Expected results:
Boot protocol should be static as was configured on management NIC

Additional info:
On GUI and DB we can see that the management is configured as None and on VDSM we can see that it is static
Comment 1 GenadiC 2012-07-29 11:08:47 EDT
Created attachment 601044 [details]
vdsm log
Comment 3 GenadiC 2012-07-30 02:33:06 EDT
It looks similar, but it's not the same.
In 842986 Igor is talking about bridgeless Network only and about absent of cfg field and it is not this case.
In getVdsCaps you can see that the boot protocol is static.
Comment 4 lpeer 2012-07-30 06:57:20 EDT
After looking at the code -
We could not locate a place where we add BOOTPROTO=static in our code, this is an illegal value in cfg file.

We did saw that when installing the host the bootstrap code copies the properties of the nic to the management bridge.

Genadi - can you please redo the scenario but validate before the host installation that the cfg file of the nic does not have BOOTPROTO=static to start with
Comment 5 GenadiC 2012-07-30 09:13:51 EDT
The BOOTPROTO was indeed configured to static on management NIC of the host, but as we spoke it is a legitimate configuration that should be supported.
Comment 7 GenadiC 2012-08-05 05:26:18 EDT
Verified in SI13

Note You need to log in before you can comment on or make changes to this bug.